<?php

/*---------------------------------------------------------------------------*
 * Edge Theme Settings
 *---------------------------------------------------------------------------*/


/*---------------------------------------------------------------------------*
 * Edge Tab
 *---------------------------------------------------------------------------*/

/* ---- Theme Styles ------------------------------------------------------- */

if(FeatherTheme::styles()) {
	$setting['themestyles']=array(
		'title'=>'Styles',
		'desc'=>'Select a theme style below.',
		'tab'=>'theme',
		'fields'=>array(
			// Theme style
			'theme_style'=>array(
				'label'=>'Theme Style',
				'type'=>'select',
				'choices'=>FeatherTheme::styles()
			)
		)
	);
}

/* ---- Featured Posts ----------------------------------------------------- */

$setting['themefeatured']=array(
	'title'=>'Featured Posts',
	'desc'=>'',
	'tab'=>'theme',
	'fields'=>array(
		// Enable Featured Posts
		'featuredposts'=>array(
			'label'=>'Display Featured Posts',
			'type'=>'checkbox',
			'choices'=>array(
				'theme_featured_display'=>'Enable featured posts',
				'theme_featured_display_content'=>'Include featured posts in '.
					'content area',
			)
		),
		// Category
		'featuredcat'=>array(
			'label'=>'Category',
			'callback'=>'FeatherTheme::print_field_featcat'
		),
		// Category
		'theme_featured_num'=>array(
			'label'=>'Number of Featured Posts',
			'type'=>'select',
			'choices'=>array_diff(range(0,15),range(0,4))
		)
	)
);

/* ---- Post Thumbnails ---------------------------------------------------- */

$setting['themepostthumb']=array(
	'title'=>'Post Thumbnails',
	'desc'=>'',
	'tab'=>'theme',
	'fields'=>array(
		// Enable Featured Posts
		'postthumbs'=>array(
			'label'=>'Blog Home',
			'type'=>'checkbox',
			'choices'=>array(
				'theme_post_thumb_blog'=>'Display post thumbnails',
			)
		)
	)
);


/*---------------------------------------------------------------------------*
 * General Tab
 *---------------------------------------------------------------------------*/

/* ---- Custom Logo and Tagline -------------------------------------------- */

$setting['customlogo']=array(
	'title'=>'Custom Logo & Tagline',
	'desc'=>'Use a custom logo by uploading an image or selecting an existing '.
		'image from the Media Library.',
	'tab'=>'general',
	'fields'=>array(
		'custom_logo'=>array(
			'label'=>'Logo URL',
			'type'=>'image'
		),
		'disable_tagline'=>array(
			'label'=>'Tagline',
			'type'=>'checkbox',
			'choices'=>array(
				'disable_tagline'=>'Disable tagline'
			)
		)
	)
);

/* ---- RSS Feed ----------------------------------------------------------- */

$setting['rssfeed']=array(
	'title'=>'RSS Feed',
	'desc'=>'If you use a service such as FeedBurner or'.
		' FeedBlitz enter the full URL of your feed below.',
	'tab'=>'general',
	'fields'=>array(
		// Feed URL
		'feed_url'=>array(
			'label'=>'Feed URL',
			'type'=>'text',
			'class'=>'regular-text',
		)
	)
);

/* ---- Comments ----------------------------------------------------------- */

$setting['comments']=array(
	'title'=>'Comments',
	'desc'=>'Disable comments from displaying on all posts, '.
		'all pages, or both.',
	'tab'=>'general',
	'fields'=>array(
		// Disable Comments
		'disable_comments'=>array(
			'label'=>'Disable Comments',
			'type'=>'checkbox',
			'choices'=>array(
				'comments_pages'=>'Disable comments on pages',
				'comments_posts'=>'Disable comments on posts'
			)
		)
	)
);

/* ---- Custom Styles & Functions ------------------------------------------ */

$setting['customcss']=array(
	'title'=>'Custom Styles',
	'desc'=>'Use style-custom.css to override theme styles or create new ones.',
	'tab'=>'general',
	'fields'=>array(
		// Enable Customization
		'customcss'=>array(
			'label'=>'Enable Customization',
			'type'=>'checkbox',
			'choices'=>array(
				'custom_styles'=>'Enable custom styles [ <strong>style-custom.css</strong> ]',
			)
		)
	)
);

/* ---- Social Media ------------------------------------------------------- */

$setting['social']=array(
	'title'=>'Social Media',
	'desc'=>'Display links to your social media profiles by entering your '.
		'information for each site. If left blank no link will be displayed.',
	'tab'=>'general',
	'fields'=>array(
		// Facebook
		'social_facebook'=>array(
			'label'=>'Facebook (Profile ID)',
			'type'=>'text',
			'class'=>'medium-text',
		),
		// Flickr
		'social_flickr'=>array(
			'label'=>'Flickr (Flickr ID)',
			'type'=>'text',
			'class'=>'medium-text'
		),
		// Twitter
		'social_twitter'=>array(
			'label'=>'Twitter (Username)',
			'type'=>'text',
			'class'=>'medium-text'
		),
	)
);

/* ---- Analytics ---------------------------------------------------------- */

$setting['analytics']=array(
	'title'=>'Analytics Script',
	'desc'=>'If you use a service such as Google Analytics paste your tracking '.
		'code below.',
	'tab'=>'general',
	'fields'=>array(
		'analytics_location'=>array(
			'label'=>'Script Location',
			'type'=>'radio',
			'choices'=>array(
				'header'=>'Header',
				'footer'=>'Footer'
			)
		),
		'analytics_script'=>array(
			'label'=>'Analytics Script',
			'type'=>'textarea',
			'rows'=>'4'
		)
	)
);
