<?php
/*
Template Name: Sitemap Fullwidth
*/
?>

<?php get_header(); ?>

<div id="content" class="t-fullwidth sitemap">
<div id="content_inner" class="container_12">

	<div class="grid_8">
<?php while(have_posts()): the_post(); ?>
		<article id="entry-<?php the_ID(); ?>" <?php post_class('entry'); ?>>
			<header>
				<h1 class="entry-title"><?php the_title(); ?></h1>
			</header>

			<div class="text">
				<?php the_content(); ?>
				
				<div class="one-third">
					<h3>Pages</h3>
						<ul><?php wp_list_pages("title_li=" ); ?></ul>
						
					<h3>Feeds</h3>
						<ul>
							<li><a title="Full content" href="feed:<?php bloginfo('rss2_url'); ?>">Main RSS</a></li>
							<li><a title="Comment Feed" href="feed:<?php bloginfo('comments_rss2_url'); ?>">Comment Feed</a></li>
						</ul>
				</div>
				
				<div class="one-third">
					<h3>All Blog Posts:</h3>
						<ul><?php $archive_query = new WP_Query('showposts=1000&cat=-8');
						while ($archive_query->have_posts()) : $archive_query->the_post(); ?>
							<li>
								<a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a>
								(<?php comments_number('0', '1', '%'); ?>)
							</li>
						<?php endwhile; ?>
						</ul>
				</div>
				
				<div class="one-third last">
					<h3>Categories</h3>
						<ul><?php wp_list_categories('sort_column=name&optioncount=1&hierarchical=0&feed=RSS&title_li='); ?></ul>

					<h3>Archives</h3>
					<ul>
						<?php wp_get_archives('type=monthly&show_post_count=true'); ?>
					</ul>
				</div>
				
				<div class="divider"></div>
			
				<?php edit_post_link('Edit', ' &middot; ', ''); ?>

			</div>
		</article>
<?php endwhile?>

	</div>

<div class="clear"></div>
</div>
</div>

<?php get_footer(); ?>