<?php

/**
	Edge Featured Posts

	The contents of this file are subject to the terms of the GNU General
	Public License Version 2.0. You may not use this file except in
	compliance with the license. Any of the license terms and conditions
	can be waived if you get permission from the copyright holder.

	Copyright (c) 2011 Bandit Media
	Jermaine Marée

		@package EdgeFP
		@version 1.0
**/

//! Edge Featured Posts Widget
class Bandit_EdgeFeaturedPosts extends WP_Widget {

	/**
		Constructor
	**/
	function Bandit_EdgeFeaturedPosts() {
		parent::WP_Widget(false,$name='Edge Featured Posts');	
	}

	/**
		Widget
			@public
	**/
	function widget($args,$instance) {
		if(!is_front_page() || !bandit::get_theme_option('theme_featured_display')) {
			extract($args);
			$instance['title']?NULL:$instance['title']='Featured Entries';
			$title=$instance['title'];
			$cat_id=$instance['cat_id'];
			$num_posts=$instance['num_posts'];
			// Query featured entries
			$featured=new WP_Query('cat='.$cat_id.'&showposts='.$num_posts);
			$output=$before_widget."\n";
			$output.=$before_title.$title.$after_title;
			if($num_posts>2) {
				$output.='<nav>';
				$output.='<a id="edgefp-prev" class="prev"><span>Previous</span></a>';
				$output.='<a id="edgefp-next" class="next"><span>Next</span></a>';
				$output.='</nav>';
			}
			$output.='<ul id="caroufredsel-sb">';
			while($featured->have_posts()) {
				$featured->the_post();
				$output.='<li>';
				$output.='<div class="thumbnail">';
				if(has_post_thumbnail()) {
					$tid=get_post_thumbnail_id(get_the_ID());
					$img=wp_get_attachment_image_src($tid,'thumbnail');
					$output.='<img src="'.$img[0].'" width="128" height="128" />';
				}
				$output.='</div>';
				$output.='<p class="title"><a href="'.get_permalink().
					'">'.get_the_title().'</a></p>';
				$output.='<div class="meta">';
				$output.='<p class="date">'.get_the_time('jS F').'</p>';
				$output.='<div class="plus"></div>';
				$output.='<div class="depth"></div>';
				$output.='</div>';
				$output.='</li>';
			}
			$output.='</ul>';
			$output.=$after_widget."\n";
			echo $output;
		}
	}

	/**
		Widget update
			@public
	**/
	function update($new_instance,$old_instance) {
		$instance=$old_instance;
		$instance['title']=strip_tags($new_instance['title']);
		$instance['cat_id']=strip_tags($new_instance['cat_id']);
		$instance['num_posts']=strip_tags($new_instance['num_posts']);
		return $instance;
	}

	/**
		Widget form
			@public
	**/
	function form($instance) {
		// Default widget settings
		$defaults=array('title'=>__('Featured Entries'),'cat_id'=>0,'num_posts'=>2);
		$instance=wp_parse_args((array)$instance,$defaults);
		// Arguments for category dropdown
		$cat_args=array(
			'hide_empty'=>0,
			'echo'=>0,
			'name'=>$this->get_field_name('cat_id'),
			'orderby'=>'name',
			'selected'=>$instance['cat_id'],
			'class'=>'widefat'
		);
		// Build form
		$form='<p>';
		$form.='<label for="'.$this->get_field_id('title').'">Title:</label>';
		$form.='<input class="widefat" id="'.$this->get_field_id('title').'" name="'.$this->get_field_name('title').'" type="text" value="'.$instance['title'].'" />';
		$form.='</p>';

		$form.='<p>';
		$form.='<label for="'.$this->get_field_id('cat_id').'">Category:</label>';
		$form.=wp_dropdown_categories($cat_args);
		$form.='</p>';

		$form.='<p>';
		$form.='<label for="'.$this->get_field_id('num_posts').'"># Posts:</label>  ';
		$form.='<select id="'.$this->get_field_id('num_posts').'" name="'.$this->get_field_name('num_posts').'">';
		for($i=2; $i<=6; $i++)
			$form.='<option value="'.$i.'" '.(($instance['num_posts']==$i)?'selected="selected"':NULL).'>'.$i.'</option>';
		$form.='</select>';
		$form.='</p>';
		// Display form
		echo $form;
	}

}